﻿using System;
using System.Collections.Generic;
using Analyzer.Core;

namespace Analyzer.Atoms
{
    public static partial class DivideTest
    {
        private class AtomInfo
        {
            public AtomInfo(SequenceInterval interval)
            {
                this.ClassNumber = 0;
                this.Edges = new List<AtomInfo>();
                this.Interval = interval;
                this.IsEdgeReversed = new List<bool>();
            }

            public int ClassNumber
            {
                get;
                set;
            }

            public List<AtomInfo> Edges
            {
                get;
                private set;
            }

            public SequenceInterval Interval
            {
                get;
                private set;
            }

            public List<bool> IsEdgeReversed
            {
                get;
                private set;
            }
        }
    }
}
