﻿using System;
using System.Collections;

namespace Analyzer.Core
{
    public static class HashProvider
    {
        public static int Hash(params object[] objects)
        {
            return Hash((IEnumerable)objects);
        }

        public static int Hash(IEnumerable objects)
        {
            int hash = 987654321;
            foreach (object obj in objects)
            {
                hash = (int)(((long)hash * 1234567890 + obj.GetHashCode()) % 2147483647);
            }
            return hash;
        }
    }
}
