﻿using System;

namespace Analyzer.Core
{
    public class SelfAlignmentSet
        : SingleAlignmentSet
    {
        public SelfAlignmentSet(MultiAlignmentSet alignmentSet)
            : base(alignmentSet)
        {
            if (this.Query != this.Target)
            {
                throw new ArgumentException("Target and query sequences must be the same.", "alignmentSet");
            }
        }

        public Sequence Sequence
        {
            get
            {
                return this.Queries[0];
            }
        }
    }
}
