#ifndef PHYLTREE_H
#define PHYLTREE_H

#include <string>

class phyltree
{
    public:
        phyltree *left;
        phyltree *right;
        phyltree *parent;
        double left_length;
        double right_length;
        double parent_length;
        std::string species;
        
        phyltree(const phyltree &t);
        phyltree& operator=(const phyltree &t);
        phyltree(const std::string &description);
        ~phyltree();
        std::string to_string();
        
    private:
        phyltree(std::istream &input, int &counter);
        void cleanup();
        void parse(std::istream &input, int &counter);
};

#endif
