#include <cmath>
#include <cstring>
#include "matrix.h"
#include "paml.h"

int PMatQRev(double Q[], double pi[], double t, int n, double space[]);

void pmat_qrev(double qmat[4][4], double base_freqs[4], double time, double pmat[4][4])
{
    int n = 4;
    double Q[n * n];
    double pi[n];
    double space[n * n * 2 + n * 2];
    memcpy(Q, qmat, sizeof(Q));
    memcpy(pi, base_freqs, sizeof(pi));
    PMatQRev(Q, pi, time, n, space);
    memcpy(pmat, Q, sizeof(Q));
}
