#ifndef PARSING_H
#define PARSING_H

#include <istream>
#include <string>

bool parse_line(std::istream &input, std::string &setting, std::string &value);
char read_char(std::istream &input);
double read_double(std::istream &input);
int read_int(std::istream &input);
std::string read_line(std::istream &input);
void trim(std::string &str);

#endif
