﻿using System;
using Analyzer.Core;

namespace Analyzer.Atoms
{
    public static class MainClass
    {
        public static void Main(string[] args)
        {
            foreach (string fileName in args)
            {
                Console.WriteLine("Reading file \"{0}\"", fileName);
                SelfAlignmentSet s = MultiAlignmentSet.FromPSL(fileName).Merge(2000);
                System.Collections.Generic.List<int> nums = new System.Collections.Generic.List<int>();
                for (int i = 1000; i > 0; i = 9 * i / 10)
                {
                    nums.Add(i);
                }
                nums.Add(0);
                for (int i = nums.Count - 1; i >= 0; i--)
                {
                    DivideTest.Run(s, nums[i]);
                }
            }
        }
    }
}
