﻿using System;
using System.Collections.Generic;

namespace Analyzer.Atoms
{
    public class SortedListComparer<T>
        : IEqualityComparer<List<T>> where T : IEquatable<T>
    {
        public bool Equals(List<T> x, List<T> y)
        {
            if (x.Count != y.Count)
            {
                return false;
            }
            for (int i = 0; i < x.Count; i++)
            {
                if (!(x[i].Equals(y[i])))
                {
                    return false;
                }
            }
            return true;
        }

        public int GetHashCode(List<T> obj)
        {
            throw new NotImplementedException();
        }
    }
}
