#include <cstdlib>
#include "random.h"

// Seeds the random number generator.
void random::seed(unsigned int seed)
{
    srand(seed);
}

// Returns a random double from [0, 1].
double random::next()
{
    return (double)rand() / RAND_MAX;
}
#include <iostream>
// Returns a random double from (0, 1).
double random::next_strict()
{
    return ((double)rand() + 1) / ((double)RAND_MAX + 2);
}

// Returns a random boolean value.
bool random::next_bool()
{
    return rand() % 2 == 0;
}

// Returns a random integer from [0, max).
int random::next_int(int max)
{
    return rand() % max;
}
