#ifndef SEQUENCE_H
#define SEQUENCE_H

#include <ostream>
#include <string>
#include <vector>

int btoi(char base);
char itob(int index);
char compl_base(char base);
int rand_index(double prob[4]);
char rand_base(double base_freqs[4]);
void rand_seq(int length, std::vector<char> &seq, double base_freqs[4]);
void subst(std::vector<char> &seq, double pmat[4][4]);
void write_fasta(std::ostream &output, const std::vector<char> &seq, const std::string &name);

#endif
